<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.configuration2.io.FileLocator (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.configuration2.io.FileLocator (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/io/class-use/FileLocator.html" target="_top">Frames</a></li>
<li><a href="FileLocator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.configuration2.io.FileLocator" class="title">Uses of Class<br>org.apache.commons.configuration2.io.FileLocator</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2">org.apache.commons.configuration2</a></td>
<td class="colLast">
<div class="block">
 The Configuration main package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.io">org.apache.commons.configuration2.io</a></td>
<td class="colLast">
<div class="block">
 A package with classes related to I/O operations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.plist">org.apache.commons.configuration2.plist</a></td>
<td class="colLast">
<div class="block">
 Configuration classes supporting NeXT / OpenStep /GNUStep style configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a> in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">XMLPropertiesConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/XMLPropertiesConfiguration.html#initFileLocator-org.apache.commons.configuration2.io.FileLocator-">initFileLocator</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Initializes this object with a <code>FileLocator</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">XMLConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/XMLConfiguration.html#initFileLocator-org.apache.commons.configuration2.io.FileLocator-">initFileLocator</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;loc)</code>
<div class="block">Passes the current <code>FileLocator</code> to this object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PropertiesConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html#initFileLocator-org.apache.commons.configuration2.io.FileLocator-">initFileLocator</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Stores the current <code>FileLocator</code> for a following IO operation.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.io">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a> in <a href="../../../../../../org/apache/commons/configuration2/io/package-summary.html">org.apache.commons.configuration2.io</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/io/package-summary.html">org.apache.commons.configuration2.io</a> that return <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileLocator.FileLocatorBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.FileLocatorBuilder.html#create--">create</a></span>()</code>
<div class="block">Creates a new immutable <code>FileLocatorImpl</code> object based on the
 properties set so far for this builder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileLocatorUtils.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#fromMap-java.util.Map-">fromMap</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;map)</code>
<div class="block">Creates a new <code>FileLocator</code> object with the properties defined in
 the given map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileLocatorUtils.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#fullyInitializedLocator-org.apache.commons.configuration2.io.FileLocator-">fullyInitializedLocator</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Returns a <code>FileLocator</code> object based on the passed in one whose
 location is fully defined.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#getFileLocator--">getFileLocator</a></span>()</code>
<div class="block">Returns a <code>FileLocator</code> object with the specification of the file
 stored by this <code>FileHandler</code>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/io/package-summary.html">org.apache.commons.configuration2.io</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.FileLocatorBuilder.html" title="class in org.apache.commons.configuration2.io">FileLocator.FileLocatorBuilder</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileLocatorUtils.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#fileLocator-org.apache.commons.configuration2.io.FileLocator-">fileLocator</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;src)</code>
<div class="block">Returns a <code>FileLocatorBuilder</code> which is already initialized with
 the properties of the passed in <code>FileLocator</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileLocatorUtils.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#fullyInitializedLocator-org.apache.commons.configuration2.io.FileLocator-">fullyInitializedLocator</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Returns a <code>FileLocator</code> object based on the passed in one whose
 location is fully defined.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileLocatorAware.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocatorAware.html#initFileLocator-org.apache.commons.configuration2.io.FileLocator-">initFileLocator</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Passes the current <code>FileLocator</code> to this object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><span class="typeNameLabel">FileLocatorUtils.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#isFullyInitialized-org.apache.commons.configuration2.io.FileLocator-">isFullyInitialized</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Returns a flag whether all components of the given <code>FileLocator</code>
 describing the referenced file are defined.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><span class="typeNameLabel">FileLocatorUtils.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#isLocationDefined-org.apache.commons.configuration2.io.FileLocator-">isLocationDefined</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Checks whether the specified <code>FileLocator</code> contains enough
 information to locate a file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileLocatorUtils.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#locate-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Locates the provided <code>FileLocator</code>, returning a URL for accessing
 the referenced file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">ProvidedURLLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/ProvidedURLLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">HomeDirectoryLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/HomeDirectoryLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileSystemLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileSystemLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">CombinedLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/CombinedLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">ClasspathLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/ClasspathLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasePathLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/BasePathLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">AbsoluteNameLocationStrategy.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/AbsoluteNameLocationStrategy.html#locate-org.apache.commons.configuration2.io.FileSystem-org.apache.commons.configuration2.io.FileLocator-">locate</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem,
      <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the specified file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><span class="typeNameLabel">FileLocatorUtils.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#locateOrThrow-org.apache.commons.configuration2.io.FileLocator-">locateOrThrow</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Tries to locate the file referenced by the passed in <code>FileLocator</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">FileLocatorUtils.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#put-org.apache.commons.configuration2.io.FileLocator-java.util.Map-">put</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator,
   <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;map)</code>
<div class="block">Stores the specified <code>FileLocator</code> in the given map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FileHandler.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/io/FileHandler.html#setFileLocator-org.apache.commons.configuration2.io.FileLocator-">setFileLocator</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Sets the file to be accessed by this <code>FileHandler</code> as a
 <code>FileLocator</code> object.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.plist">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a> in <a href="../../../../../../org/apache/commons/configuration2/plist/package-summary.html">org.apache.commons.configuration2.plist</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/plist/package-summary.html">org.apache.commons.configuration2.plist</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">XMLPropertyListConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/plist/XMLPropertyListConfiguration.html#initFileLocator-org.apache.commons.configuration2.io.FileLocator-">initFileLocator</a></span>(<a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Stores the current file locator.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/io/class-use/FileLocator.html" target="_top">Frames</a></li>
<li><a href="FileLocator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
